Download Assessment Report

You can download a specific report in CSV or PDF format using the report Id. You can download report for IaC posture to know the evaluation results and prevent misconfigurations.

Version 1 (v1)Version 1 (v1)

GET/rest/v1/report/assessment/{reportId}/download

Input ParametersInput Parameters

Parameter

Mandatory

Data Type

Description

reportId

Mandatory String

Specify the unique Id associated with the report.

reportFormat

Optional String

Specify the report format: csv or pdf.

Sample - Download assessment reports (CSV format)Sample - Download assessment reports (CSV format)

API request

    
      curl -X GET -u <username>:<password>
"<qualys_base_url>/cloudview-api/rest/v1/report/assessment/4d78ec60-5ec9-11eb-89c0-937a2c5d739f/download?reportFormat=csv"
      

Response

          
Response Code: 200
The response includes the assessment report in CSV format.
      

Sample - Download assessment reports in PDF formatSample - Download assessment reports in PDF format

API request

    
      curl -k -X GET -u <username>:<password>
"<qualys_base_url>/cloudview-api/rest/v1/report/assessment/4d78ec60-5ec9-11eb-89c0-937a2c5d739f/download?reportFormat=pdf" 
      

Response

         
Response Code: 200
The response body includes the link for download of assessment report in PDF format.
      

Version 2 (v2)Version 2 (v2) 

GET/rest/v2/report/assessment/{reportId}/download

The v2 version of the Download Assessment report API can handle expanded data requirements. This V2 API enables downloading CSV reports containing more than 10,000 records.

The report is downloaded as a ZIP file if it is at least 100 MB.

Sample - Download Assessment ReportSample - Download Assessment Report

API Request

      curl --location '<qualys_base_url>/cloudview-api/rest/v2/report/assessment/<reportId>/download?reportFormat=csv'

API Response

Response Code: 200
The response includes the assessment report in CSV format